/******************************************************
 * The GUI does not sort the chapters.                *
 * QListViewItem::compare is overloaded though (the   *
 * chapterlistviewitem.h|c files) so a decent sort    *
 * method should be implementable in the future.      *
 ******************************************************/

#include <iostream>
#include <qstring.h>
#include <qlistview.h>
#include "chapterlistviewitem.h"

ChapterListViewItem::ChapterListViewItem (
		QListView* parent,
		QString chapterNumber,
		QString chapterTitle )
	: QListViewItem (
		parent,
		chapterNumber,
		chapterTitle )
{
}

ChapterListViewItem::ChapterListViewItem (
		QListViewItem* listItem)
	: QListViewItem (
			listItem)
{	
}

// We'll be overloading the compare method to sort by numbers rather than QString.
/* Status as of now is that this method won't be called by the QListView (probably) because it 
contains QListViewItems rather than ChapterListViewItems. That is: QListViewItem::compare() is 
called instead of this ChapterListViewItem::compare() */
int ChapterListViewItem::compare( ChapterListViewItem *i, int col, bool ascending ) const
{
  std::cout << "Comparing! (" << i->key (col, ascending) << ") . (" << key (col, ascending) << ").\n";
//  return key( col, ascending ).compare( i->key( col, ascending) );
  return 1;
}
